OGRE: Ogre::FrameTimeControllerValue Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::FrameTimeControllerValue Class Reference
Core » Animation

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:
[legend]

## Public Member Functions
| FrameTimeControllerValue ()
Real | getElapsedTime (void) const
Real | getFrameDelay (void) const
Real | getTimeFactor (void) const
float | getValue (void) const override
void | setElapsedTime (Real elapsedTime)
void | setFrameDelay (Real fd)
| Sets a constant frame rate.
void | setTimeFactor (Real tf)
| Set the relative speed to update frame time based controllers.
void | setValue (float value) override
Public Member Functions inherited from Ogre::ControllerValue< float >
virtual | ~ControllerValue ()

## Static Public Member Functions
static ControllerValueRealPtr | create ()

## Detailed Description

Predefined controller value for getting the latest frame time.

## Constructor & Destructor Documentation

## ◆ FrameTimeControllerValue()

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

Deprecated
  use create()

## Member Function Documentation

## ◆ create()

ControllerValueRealPtr Ogre::FrameTimeControllerValue::create | ( |  | ) |
| inlinestatic

## ◆ getValue()

float Ogre::FrameTimeControllerValue::getValue | ( | void |  | ) | const
| inlineoverridevirtual

Implements Ogre::ControllerValue< float >.

## ◆ setValue()

void Ogre::FrameTimeControllerValue::setValue | ( | float | value | ) |
| inlineoverridevirtual

Implements Ogre::ControllerValue< float >.

## ◆ getTimeFactor()

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( | void |  | ) | const
| inline

## ◆ setTimeFactor()

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

Set the relative speed to update frame time based controllers.

Normally any controllers which use time as an input (FrameTimeController) are updated automatically in line with the real passage of time. This method allows you to change that, so that controllers are told that the time is passing slower or faster than it actually is. Use this to globally speed up / slow down the effect of time-based controllers.

Parameters

  tf | The virtual speed of time (1.0 is real time).

## ◆ getFrameDelay()

Real Ogre::FrameTimeControllerValue::getFrameDelay | ( | void |  | ) | const
| inline

## ◆ setFrameDelay()

void Ogre::FrameTimeControllerValue::setFrameDelay | ( | Real | fd | ) |

Sets a constant frame rate.

This function is useful when rendering a sequence to files that should create a film clip with constant frame rate. It will ensure that scrolling textures and animations move at a constant frame rate.

Parameters

  fd | The delay in seconds wanted between each frame (1.0f / 25.0f means a seconds worth of animation is done in 25 frames).

## ◆ getElapsedTime()

Real Ogre::FrameTimeControllerValue::getElapsedTime | ( | void |  | ) | const
| inline

## ◆ setElapsedTime()

void Ogre::FrameTimeControllerValue::setElapsedTime | ( | Real | elapsedTime | ) |
| inline

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h